Merge tag 'vulkan-sdk-1.3.268.0' into HEAD

Bug:b/319117470

Change-Id: I520b8c1ca71a032d8f28108e7ab0992e108e52d6
diff --git a/BUILD.gn b/BUILD.gn
index 8a05777..e367f2f 100644
--- a/BUILD.gn
+++ b/BUILD.gn
@@ -7,6 +7,12 @@
 
 config("vulkan_headers_config") {
   include_dirs = [ "include" ]
+  cflags = [
+    # TODO(fxbug.dev/135166): Remove -Wno-unknown-warning-option after the next Clang roll.
+    "-Wno-unknown-warning-option",
+    "-Wno-bitfield-conversion",
+    "-Wno-defaulted-function-deleted",
+  ]
   defines = []
 
   if (is_win) {
@@ -34,8 +40,9 @@
     defines += [ "VK_USE_PLATFORM_GGP" ]
   }
   if (is_clang) {
-    cflags = [
+    cflags += [
       "-Wno-redundant-parens",
+      "-Wno-newline-eof",
     ]
   }
 }
@@ -49,6 +56,7 @@
     "include/vulkan/vulkan.h",
     "include/vulkan/vulkan.hpp",
     "include/vulkan/vulkan_core.h",
+    "include/vulkan/vulkan_enum.hpp",
     "include/vulkan/vulkan_screen.h",
     "include/vk_video/vulkan_video_codec_h264std_decode.h",
     "include/vk_video/vulkan_video_codec_h264std_encode.h",
@@ -58,5 +66,10 @@
     "include/vk_video/vulkan_video_codec_h265std.h",
     "include/vk_video/vulkan_video_codecs_common.h",
   ]
-  public_configs = [ ":vulkan_headers_config" ]
+  public_configs = [
+    ":vulkan_headers_config",
+  ]
+  if (defined(vulkan_use_wayland) && vulkan_use_wayland) {
+    public_deps = [ "//third_party/wayland:client" ]
+  }
 }
diff --git a/OWNERS b/OWNERS
new file mode 100644
index 0000000..b0d43b4
--- /dev/null
+++ b/OWNERS
@@ -0,0 +1,3 @@
+jbauman@google.com
+rosasco@google.com
+cstout@google.com
diff --git a/README.fuchsia b/README.fuchsia
new file mode 100644
index 0000000..51146cf
--- /dev/null
+++ b/README.fuchsia
@@ -0,0 +1,9 @@
+Name: Vulkan-Headers
+License: Apache 2.0
+License File: LICENSES/Apache-2.0.txt
+License File: LICENSES/MIT.txt
+Upstream Git: https://github.com/KhronosGroup/Vulkan-Headers
+Description:
+
+Vulkan header files and API registry.
+
diff --git a/registry/vk.xml b/registry/vk.xml
index b3a939b..2a88243 100644
--- a/registry/vk.xml
+++ b/registry/vk.xml
@@ -53,6 +53,7 @@
         <tag name="ANDROID"     author="Google LLC"                    contact="Jesse Hall @critsec"/>
         <tag name="CHROMIUM"    author="Google LLC"                    contact="Jesse Hall @critsec"/>
         <tag name="FUCHSIA"     author="Google LLC"                    contact="Craig Stout @cdotstout, Jesse Hall @critsec, John Rosasco @rosasco"/>
+        <tag name="FUCHSIAX"    author="Google LLC"                    contact="Craig Stout @cdotstout, Jesse Hall @critsec, John Rosasco @rosasco"/>
         <tag name="GGP"         author="Google, LLC"                   contact="Jean-Francois Roy @jfroy, Hai Nguyen @chaoticbob, Jesse Hall @critsec"/>
         <tag name="GOOGLE"      author="Google LLC"                    contact="Jesse Hall @critsec"/>
         <tag name="QCOM"        author="Qualcomm Technologies, Inc."   contact="Jeff Leger @jackohounhd"/>
diff --git a/scripts/rebuild.sh b/scripts/rebuild.sh
new file mode 100755
index 0000000..3bbb945
--- /dev/null
+++ b/scripts/rebuild.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+# Copyright 2020 The Fuchsia Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+script_path="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
+headers_path=$script_path/..
+
+if [[ $# -lt 2 ]]
+then
+  echo "Usage: rebuild.sh <Vulkan-Docs path> <Vulkan-Hpp path>"
+  exit 1
+fi
+vulkan_docs_path=$1
+vullkan_hpp_path=$2
+
+cd $vulkan_docs_path/xml
+cp -v $headers_path/registry/vk.xml .
+make
+cp -v ../gen/include/vulkan/vulkan_core.h $headers_path/include/vulkan
+cp -v ../gen/include/vulkan/vulkan_fuchsia.h $headers_path/include/vulkan
+
+cd $vullkan_hpp_path
+./VulkanHppGenerator $headers_path/registry/vk.xml
+
+case "$OSTYPE" in
+  darwin*)  arch="mac-x64" ;;
+  linux*)   arch="linux-x64" ;;
+  *)        echo "Unknown: $OSTYPE"; exit ;;
+esac
+
+echo Formatting...
+$headers_path/../../prebuilt/third_party/clang/${arch}/bin/clang-format --style=file:.clang-format_11 -i vulkan/vulkan*.hpp
+cp -v vulkan/vulkan*.hpp $headers_path/include/vulkan